App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
mhr.app.fragments.toolbox.pointops.GammaPopUpFragment Class Reference

Fragment pro PopUp představující nastavení úprav gamma korekce. More...

Inheritance diagram for mhr.app.fragments.toolbox.pointops.GammaPopUpFragment:

## Public Member Functions
| GammaPopUpFragment ()
void | onValueChanged (LabelledSeekBar sb, float value, boolean fromUser)
void | onValueChangeStart (LabelledSeekBar sb)
void | onValueChangeStop (LabelledSeekBar sb)
void | onClick (View v)
void | onCheckedChanged (CompoundButton buttonView, boolean isChecked)
void | onAttach (Activity activity)
View | onCreateView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
void | onResume ()
void | onPause ()

## Protected Member Functions
void | onInitView ()
| Voláno po načtení layoutu, odvozená třída zde nastavuje posluchače událostí atd.
Tool | getTool ()
| Odvozená třída musí vrátit nástroj, který představuje.
CancelableToolActionData | getUpdateToolData ()
| Odvozená třída musí vrátit data, pro aktualizaci náhledu nástroje.
int | getLayoutId ()
| Odvozená třída musí vrátit id svého layoutu pro inicializaci UI.
void | onCancel ()
| Voláno, pokud je nástroj zrušen, odvozená třída provede potřebné operaci.
View | initView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
| Provede inicializaci view.

## Protected Attributes
LabelledSeekBar | biasValueLSB = null
View | root
AppMainActivity | activity
boolean | firstCreated = true
Button | applyBtn
Button | previewBtn
Button | cancelBtn
ToggleButton | livePreviewTBtn
boolean | livePreviewOn = false

## Detailed Description

Fragment pro PopUp představující nastavení úprav gamma korekce.

Definition at line 23 of file GammaPopUpFragment.java.

## Constructor & Destructor Documentation

mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.GammaPopUpFragment | ( |  | ) |
| inline

Definition at line 43 of file GammaPopUpFragment.java.

{
}

## Member Function Documentation

int mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.getLayoutId | ( |  | ) |
| inlineprotectedvirtual

Odvozená třída musí vrátit id svého layoutu pro inicializaci UI.

Returns

Implements mhr.app.fragments.toolbox.CancellableToolPopUpFragment.

Definition at line 63 of file GammaPopUpFragment.java.

{
return R.layout.fragment_point_operation_tool_gamma_settings;
}

Tool mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.getTool | ( |  | ) |
| inlineprotectedvirtual

Odvozená třída musí vrátit nástroj, který představuje.

Returns

Implements mhr.app.fragments.toolbox.CancellableToolPopUpFragment.

Definition at line 50 of file GammaPopUpFragment.java.

{
return new GammaLUTCancelableTool();
}

CancelableToolActionData mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.getUpdateToolData | ( |  | ) |
| inlineprotectedvirtual

Odvozená třída musí vrátit data, pro aktualizaci náhledu nástroje.

Returns

Implements mhr.app.fragments.toolbox.CancellableToolPopUpFragment.

Definition at line 56 of file GammaPopUpFragment.java.

{
return new GammaLUTCancelableToolActionData(Action.UPDATE_PREVIEW, biasValueLSB.getProgress());
}

View mhr.app.fragments.toolbox.CancellableToolPopUpFragment.initView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inlineprotectedinherited

Provede inicializaci view.

Parameters

  inflater |
  container |
  savedInstanceState |

Returns

Definition at line 56 of file CancellableToolPopUpFragment.java.

{
root = inflater.inflate(getLayoutId(), container, false);
applyBtn = (Button) root.findViewById(R.id.PointOperationToolApplyBtn);
previewBtn = (Button) root.findViewById(R.id.PointOperationToolPreviewBtn);
cancelBtn = (Button) root.findViewById(R.id.PointOperationToolCancelBtn);
livePreviewTBtn = (ToggleButton) root.findViewById(R.id.PointOperationToolLivePreviewTBtn);
applyBtn.setOnClickListener(this);
previewBtn.setOnClickListener(this);
cancelBtn.setOnClickListener(this);
livePreviewTBtn.setOnCheckedChangeListener(this);
firstCreated = false;
onInitView();
return root;
}

void mhr.app.fragments.toolbox.CancellableToolPopUpFragment.onAttach | ( | Activity | activity | ) |
| inlineinherited

Definition at line 145 of file CancellableToolPopUpFragment.java.

{
super.onAttach(activity);
/*
* called once the fragment is associated with its activity.
*/
this.activity = (AppMainActivity) activity;
}

void mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.onCancel | ( |  | ) |
| inlineprotectedvirtual

Voláno, pokud je nástroj zrušen, odvozená třída provede potřebné operaci.

Implements mhr.app.fragments.toolbox.CancellableToolPopUpFragment.

Definition at line 68 of file GammaPopUpFragment.java.

{
biasValueLSB.setProgress(1);
}

void mhr.app.fragments.toolbox.CancellableToolPopUpFragment.onCheckedChanged | ( | CompoundButton | buttonView,
|  | boolean | isChecked
| ) |  |
| inlineinherited

Definition at line 133 of file CancellableToolPopUpFragment.java.

{
if (buttonView == livePreviewTBtn) {
livePreviewOn = isChecked;
}
if (livePreviewOn) {
activity.addCommand(new CancelableToolUpdateCommand(getUpdateToolData()));
}
}

void mhr.app.fragments.toolbox.CancellableToolPopUpFragment.onClick | ( | View | v | ) |
| inlineinherited

Definition at line 112 of file CancellableToolPopUpFragment.java.

{
int id = v.getId();
switch (id) {
//(biasSeekBar.getProgress() - 100) / 100.0)
case R.id.PointOperationToolApplyBtn:
activity.addCommand(new CancelableToolUpdateCommand(getUpdateToolData()));
activity.addCommand(new CancelableToolCommitCommand(new CancelableToolActionData(Action.COMMIT_PREVIEW)));
onCancel();
break;
case R.id.PointOperationToolPreviewBtn:
activity.addCommand(new CancelableToolUpdateCommand(getUpdateToolData()));
break;
case R.id.PointOperationToolCancelBtn:
onCancel();
activity.addCommand(new CancelableToolCommitCommand(new CancelableToolActionData(Action.CANCEL_PREVIEW)));
break;
}
}

View mhr.app.fragments.toolbox.CancellableToolPopUpFragment.onCreateView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inlineinherited

Definition at line 165 of file CancellableToolPopUpFragment.java.

{
/*
* creates and returns the view hierarchy associated with the fragment.
*
* The system calls this when it's time for the fragment to draw its user interface for the first time. To draw a UI for your fragment, you must return a
* View from this method that is the root of your fragment's layout. You can return null if the fragment does not provide a UI.
*
* Zde začíná životní cyklus při návratu z backstacku
*/
if (firstCreated) {
firstCreated = false;
return initView(inflater, container, savedInstanceState);
} else {
return root;
}
}

void mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.onInitView | ( |  | ) |
| inlineprotectedvirtual

Voláno po načtení layoutu, odvozená třída zde nastavuje posluchače událostí atd.

Implements mhr.app.fragments.toolbox.CancellableToolPopUpFragment.

Definition at line 38 of file GammaPopUpFragment.java.

{
biasValueLSB = (LabelledSeekBar) root.findViewById(R.id.GammaValueLSB);
biasValueLSB.setLabelledSBChangeListener(this);
}

void mhr.app.fragments.toolbox.CancellableToolPopUpFragment.onPause | ( |  | ) |
| inlineinherited

Definition at line 216 of file CancellableToolPopUpFragment.java.

{
super.onPause();
/*
* fragment is no longer interacting with the user either because its activity is being paused or a fragment operation is modifying it in the activity.
*
* The system calls this method as the first indication that the user is leaving the fragment (though it does not always mean the fragment is being destroyed).
* This is usually where you should commit any changes that should be persisted beyond the current user session (because the user might not come back).
*/
}

void mhr.app.fragments.toolbox.CancellableToolPopUpFragment.onResume | ( |  | ) |
| inlineinherited

Definition at line 207 of file CancellableToolPopUpFragment.java.

{
super.onResume();
/*
* makes the fragment interacting with the user (based on its containing activity being resumed).
*/
activity.addCommand(new SelectToolCommand(getTool()));
}

void mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.onValueChanged | ( | LabelledSeekBar | sb,
|  | float | value,
|  | boolean | fromUser
| ) |  |
| inline

Implements mhr.appandroid.views.LabelledSeekBar.LabelledSBChangeListener.

Definition at line 77 of file GammaPopUpFragment.java.

{
if (livePreviewOn) {
activity.addCommand(new CancelableToolUpdateCommand(new GammaLUTCancelableToolActionData(Action.UPDATE_PREVIEW, value)));
}
}

void mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.onValueChangeStart | ( | LabelledSeekBar | sb | ) |
| inline

Implements mhr.appandroid.views.LabelledSeekBar.LabelledSBChangeListener.

Definition at line 83 of file GammaPopUpFragment.java.

{
}

void mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.onValueChangeStop | ( | LabelledSeekBar | sb | ) |
| inline

Implements mhr.appandroid.views.LabelledSeekBar.LabelledSBChangeListener.

Definition at line 86 of file GammaPopUpFragment.java.

{
}

## Member Data Documentation

AppMainActivity mhr.app.fragments.toolbox.CancellableToolPopUpFragment.activity
| protectedinherited

Definition at line 35 of file CancellableToolPopUpFragment.java.

Button mhr.app.fragments.toolbox.CancellableToolPopUpFragment.applyBtn
| protectedinherited

Definition at line 38 of file CancellableToolPopUpFragment.java.

LabelledSeekBar mhr.app.fragments.toolbox.pointops.GammaPopUpFragment.biasValueLSB = null
| protected

Definition at line 32 of file GammaPopUpFragment.java.

Button mhr.app.fragments.toolbox.CancellableToolPopUpFragment.cancelBtn
| protectedinherited

Definition at line 40 of file CancellableToolPopUpFragment.java.

boolean mhr.app.fragments.toolbox.CancellableToolPopUpFragment.firstCreated = true
| protectedinherited

Definition at line 36 of file CancellableToolPopUpFragment.java.

boolean mhr.app.fragments.toolbox.CancellableToolPopUpFragment.livePreviewOn = false
| protectedinherited

Definition at line 43 of file CancellableToolPopUpFragment.java.

ToggleButton mhr.app.fragments.toolbox.CancellableToolPopUpFragment.livePreviewTBtn
| protectedinherited

Definition at line 41 of file CancellableToolPopUpFragment.java.

Button mhr.app.fragments.toolbox.CancellableToolPopUpFragment.previewBtn
| protectedinherited

Definition at line 39 of file CancellableToolPopUpFragment.java.

View mhr.app.fragments.toolbox.CancellableToolPopUpFragment.root
| protectedinherited

Definition at line 34 of file CancellableToolPopUpFragment.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/app/src/mhr/app/fragments/toolbox/pointops/GammaPopUpFragment.java